Subject: Re: bug#31827: "guix pull" fails

From: Alex Kost <[email-masked]>
Date: Fri, 15 Jun 2018 12:22:46 +0300

Ben Sturmfels (2018-06-15 10:25 +1000) wrote:

> On 15/06/18 01:13, Alex Kost wrote:
>> Hello, sorry for bothering.  I tried to run "guix pull" from the guix
>> git checkout (using pre-inst-env) and it failed for me with the
>> following backtrace.  Do I miss anything obvious?
>
>> guix/git-download.scm:86:17: In procedure allocate-struct: Wrong type argument in position 2: 3
>
> Hi Alex,
>
> See: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28265#16
>
> I'm no expert on this, but the cause is recent breaking changes in the
> binary interfaces.  The command you need is "make clean-go && make”.

Indeed, thank you!  I keep forgetting that "clean-go" is the first step
to do when some strange backtraces come up :-)

Sorry for the noise.

-- 
Alex